# Class row

- Defined in File row.hpp

## Inheritance Relationships

### Base Type

- `public std::vector< item_value >`

## Class Documentation

class row : public std::vector<item_value>

  the row class, this one is not directly accessible from the outside

  Public Functions

  row() = default
  inline item_value *get(uint16_t ix)

    Return the item_value pointer for item at index ix.

  inline const item_value *get(uint16_t ix) const

    Return the const item_value pointer for item at index ix.